summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Andrzej Telszewski <atelszewski@gmail.com>2014-07-22 06:00:53 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-22 06:13:31 +0700
commitba3e352ce54d59b49ab46d8832cbb1122879fbdc (patch)
tree95a922958cdd6a868182127ae6cfebf2ff237394 /system
parentcfc82f0a12d557e82b7a4aa66fc210b89b00dc85 (diff)
downloadslackbuilds-ba3e352ce54d59b49ab46d8832cbb1122879fbdc.tar.gz
slackbuilds-ba3e352ce54d59b49ab46d8832cbb1122879fbdc.tar.xz
system/intel-microcode: Added (Linux Processor Microcode Data File).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/intel-microcode/README10
-rw-r--r--system/intel-microcode/intel-microcode.SlackBuild54
-rw-r--r--system/intel-microcode/intel-microcode.info10
-rw-r--r--system/intel-microcode/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/system/intel-microcode/README b/system/intel-microcode/README
new file mode 100644
index 0000000000..89255dbe33
--- /dev/null
+++ b/system/intel-microcode/README
@@ -0,0 +1,10 @@
+Linux Processor Microcode Data File
+
+The microcode data file contains the latest microcode definitions for all Intel processors.
+Intel releases microcode updates to correct processor behavior as documented in the respective
+processor specification updates. While the regular approach to getting this microcode update
+is via a BIOS upgrade, Intel realizes that this can be an administrative hassle. The Linux
+operating system and VMware ESX products have a mechanism to update the microcode after booting.
+
+This script is intended to repackage the official Intel microcode tarball.
+The resulting firmware file is placed under /lib/firmware/microcode.dat
diff --git a/system/intel-microcode/intel-microcode.SlackBuild b/system/intel-microcode/intel-microcode.SlackBuild
new file mode 100644
index 0000000000..115fa7cc89
--- /dev/null
+++ b/system/intel-microcode/intel-microcode.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for intel-microcode
+
+# Copyright 2014 Andrzej Telszewski, Sabadell
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=intel-microcode
+SRCNAM=microcode
+VERSION=${VERSION:-20140624}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+mkdir -p $PKG/lib/firmware
+tar xvf $CWD/$SRCNAM-$VERSION.tgz -C $PKG/lib/firmware
+chown root:root $PKG/lib/firmware/microcode.dat
+chmod 0644 $PKG/lib/firmware/microcode.dat
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/intel-microcode/intel-microcode.info b/system/intel-microcode/intel-microcode.info
new file mode 100644
index 0000000000..cd26b04ac4
--- /dev/null
+++ b/system/intel-microcode/intel-microcode.info
@@ -0,0 +1,10 @@
+PRGNAM="intel-microcode"
+VERSION="20140624"
+HOMEPAGE="https://downloadcenter.intel.com/"
+DOWNLOAD="http://downloadmirror.intel.com/23984/eng/microcode-20140624.tgz"
+MD5SUM="eec20032e6bef99dc4282c0ca317e100"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
diff --git a/system/intel-microcode/slack-desc b/system/intel-microcode/slack-desc
new file mode 100644
index 0000000000..c2460440f0
--- /dev/null
+++ b/system/intel-microcode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+intel-microcode: intel-microcode (Linux Processor Microcode Data File)
+intel-microcode:
+intel-microcode: The microcode data file contains the latest microcode definitions
+intel-microcode: for all Intel processors. Intel releases microcode updates to
+intel-microcode: correct processor behavior as documented in the respective processor
+intel-microcode: specification updates.
+intel-microcode:
+intel-microcode:
+intel-microcode:
+intel-microcode: Homepage: https://downloadcenter.intel.com/
+intel-microcode: